## Capítol 2. Iniciant el GIMP

## 1. Execució del GIMP

Usually you start GIMP either by clicking GIMP's icon on your desktop (if available), selecting it from a menu, or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to add the exact version number: gimp-3.0.

Podeu, si voleu, proporcionar una llista de noms de fitxer d'imatge a la línia d'ordres després del nom del programa de manera que el GIMP obri automàticament aquests fitxers després d'iniciar-se. També és possible obrir fitxers des del GIMP una vegada s'està executant utilitzant el diàleg Obre la imatge.

La majoria de sistemes operatius admeten les associacions de fitxers, que associen una classe de fitxers (com els determinats per l'extensió del nom de fitxer, com ara .jpg) amb l'aplicació corresponent (per exemple, el GIMP). Quan els fitxers d'imatge estan convenientment «associats» amb el GIMP, Podeu fer doble clic en una imatge del navegador de fitxers per a obrir-la amb el GIMP.

Si heu instal·lat la versió Flatpak del GIMP des de flathub.org, inicieu el GIMP fent clic a una icona o escrivint flatpak run org.gimp.GIMP//stable en una línia d'ordres.

### 1.1. Canviar la llengua

El GIMP detecta i utilitza automàticament l'idioma del sistema. En el cas improbable que la detecció de la llengua falli, o si voleu utilitzar una llengua diferent, la manera més fàcil és canviar la llengua utilitzada a les Preferències de la interfície: Edita → Preferències, aneu a la secció Interfície; Idioma es pot establir a la part superior.

Si preferiu canviar d'idioma establint les variables d'entorn, podeu utilitzar:

Al Linux

  Al LINUX: en el mode consola, escriviu `LANGUAGE=en gimp` o `LANG=en gimp` reemplaçant «en» per «ca» (català), «fr», «de», … segons d'idioma que vulgueu. Explicació: en fer `LANGUAGE=ca` establiu una variable d'entorn per a l'execució del programa `gimp`.

Al Windows

  Panell de control → Sistema → Avançat → Entorn botó en l'àrea de les «Variables del sistema»: Afegiu el botó: poseu LANG en el «Nom» i «ca» o «de», etc. en el «Valor». Advertència: cal fer clic a D'acord tres vegades seguides per a validar l'elecció.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-3.0.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

Al macOS d'Apple

  A Configuració del sistema, feu clic a General en la barra lateral. A continuació seleccioneu Idioma. L'idioma desitjat hauria de ser el primer de la llista.

Una altra instància del GIMP

  You can use command line parameter `-n` to run multiple instances of GIMP. For example, `gimp-3.0` starts GIMP in the default system language, and `LANGUAGE=en gimp-3.0 -n` starts another instance of GIMP in English. This can be very useful for translators.

### 1.2. Arguments de la línia d'ordres

Tot i que els arguments de la línia d'ordres no calen quan s'inicia el GIMP, poden ser útils en certes situacions. En un sistema Unix, podeu utilitzar `man gimp` per a una llista completa.

These arguments must be added to the command line that you use to start GIMP as gimp-3.0 [OPTION...] [FILE|URI...], where «OPTION...» can be one or more of the arguments listed below, followed by one or more file names.

-?, -h, --help

  Mostra un llistat de totes les opcions de la línia d'ordres.

--help-all

  Mostra totes les opcions d'ajuda.

--help-gegl

  Mostra totes les opcions del GEGL.

--help-gtk

  Mostra les opcions del GTK+.

-v, --version

  Imprimeix la versió del GIMP i surt.

--license

  Mostra informació de la llicència i surt.

--verbose

  Mostra missatges detallats de l'inici.

-n, --new-instance

  Arrenca una nova instància del GIMP.

-a, --as-new

  Obre les imatges com a noves.

-i, --no-interface

  Executa sense interfície d'usuari.

-d, --no-data

  No carrega patrons, degradats, paletes ni pinzells. Sovint és útil quan es vol minimitzar el temps d'inici, en situacions d'ús no interactiu.

-f, --no-fonts

  No carrega cap lletra tipogràfica. És útil per a carregar el GIMP més de pressa quan s'utilitzen scripts que no requereixen lletres o per trobar problemes relacionats amb lletres malmeses que fan que el GIMP es pengi.

-s, --no-splash

  No mostra la pantalla d'inici en arrencar.

--no-shm

  No s'usa memòria compartida entre el GIMP i els connectors.

--no-cpu-accel

  No s'utilitzen les funcions especials d'acceleració de la CPU. Útil per a trobar o deshabilitar problemes en el maquinari o les funcions de l'acceleració.

--session=`nom`

  Utilitzeu un fitxer `sessionrc` diferent per a aquesta sessió del GIMP. El nom de sessió donat s'afegeix al nom de fitxer per defecte `sessionrc`.

-g, --gimprc=`nom del fitxer`

  Utilitza un `gimprc` alternatiu en lloc del predeterminat. El fitxer `gimprc` conté un registre de les vostres preferències. És útil en els casos en què els camins dels connectors o les especificacions del sistema poden variar.

--system-gimprc=`nom del fitxer`

  Utilitza un fitxer `gimprc` de sistema alternatiu.

-b, --batch=`ordres`

  Executa el conjunt d'ordres de forma no interactiva. Aquest conjunt es dona habitualment en forma d'un script que pot ser executat per una de les extensions de scripts del GIMP. Quan l'ordre és un `-`, les ordres es llegeixen de l'entrada estàndard.

--batch-interpreter=`procediment`

  Especifica el procediment que s'ha d'usar per processar les ordres de processament per lots. El procediment per defecte és l'Script-Fu.

--surt

  Surt immediatament després de realitzar les accions sol·licitades

-c, --console-messages

  No apareixen caixes de diàleg informant d'errors o advertències. En canvi, s'imprimeixen missatges a la consola.

--pdb-compat-mode=`mode`

  Mode de compatibilitat de la base de dades de procediments (off|on|warn).

--stack-trace-mode=`mode`

  Depura en cas de fallada (never|query|always).

--debug-handlers

  Activa la depuració de senyals no fatals. Útil per a depurar el GIMP.

--g-fatal-warnings

  Tracta tots els avisos com a fatals. Útil per depurar.

--dump-gimprc

  Genera un fitxer «gimprc» amb configuració per defecte. Útil si s'ha fet malbé el fitxer «gimprc».

--mostra la zona de joc

  Mostra una pàgina de preferències amb característiques experimentals.

--display=`pantalla`

  Utilitza la pantalla X especificada (aquesta opció és vàlida per a totes les plataformes).

### 1.3. Carpetes de configuració

Quan s'executa per primera vegada, el GIMP crea una carpeta de configuració. Tota la informació de configuració s'emmagatzema en aquesta carpeta. Si suprimiu o canvieu el nom de la carpeta, el GIMP repeteix el procés de configuració inicial i crea una carpeta de configuració nova.

On s'emmagatzemarà la vostra carpeta de configuració, dependrà del vostre sistema operatiu:

Sota Linux:

  `$XDG_CONFIG_HOME`

  Usually: `$HOME/.config/GIMP/3.0/`

Under Microsoft Windows using environment variables:

  `%APPDATA%\GIMP\3.0\`

  Usually: `%USERPROFILE%\AppData\Roaming\GIMP\3.0\`

Sota Apple macOS:

  `NSApplicationSupportDirectory`

  Usually: `~/Library/Application Support/GIMP/3.0/`

### 1.4. Consells i trucs

Només un parell de suggeriments abans de començar:

- El GIMP pot proporcionar consells que podeu llegir en qualsevol moment utilitzant l'ordre de menú Ajuda → Consell del dia. Els consells proporcionen informació que es considera útil, però no fàcil d'aprendre experimentant; per tant, val la pena llegir. Si us plau, considereu llegir els consells quan tingueu temps.

- Si en algun moment esteu intentant fer alguna cosa i de sobte el GIMP sembla que ha deixat de funcionar, la secció Desenganxa podria ajudar-vos.

- No oblideu consultar el diàleg de preferències. El GIMP és molt personalitzable. Hi ha molts paràmetres que podeu ajustar a les vostres preferències personals.

2. Novetats en el GIMP |  | Capítol 3. Primers passos amb el GIMP

Report a bug in GIMP Informa d'un error de documentació